Bug 219982 - Parted script option - just started asking user to confirm mklabel
Parted script option - just started asking user to confirm mklabel
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2006-12-17 21:28 EST by Karl Auerbach
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-14 17:26:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karl Auerbach 2006-12-17 21:28:07 EST
Description of problem:

Previously when parted was run with --script it took the script and did it
without asking the user.

With the recent version (parted-1.8.1-1.fc5) even when --script is given when a
mklabel command is given it asks the user to confirm.

This breaks scripts that don't expect to feed confirmations to parted.

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1. Put a compact flash into a USB based CF reader/writer

2. Run:


# Partition sizes on the compact flash (in megabytes)
echo "Creating partitions"
sudo parted --script ${FLASH_DEV} \
    mklabel msdos \
    mkpart primary ext2 0.0 ${BOOT_PART_SIZE}.0 \
    mkpart primary ext2 ${BOOT_PART_SIZE} `expr \${BOOT_PART_SIZE} +
    set 1 boot on

And rather than the script running (like it used to do) it now emits:

Warning: The existing disk label on /dev/sdc will be destroyed and all data on
this disk will be lost. Do you want to continue?

Actual results:

Disk partioning fails.

Expected results:

Successful disk partitioning.

Additional info:

I reverted back to parted-1.6.25-8 and my scripts started working again.

I also saw some hints that the new parted update contained some strange,
different (perhaps wrong) geometry information when dealing with compact flash
Comment 1 David Cantrell 2007-08-14 17:26:26 EDT
This should be working in Fedora development now ("rawhide").

Note You need to log in before you can comment on or make changes to this bug.